/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebBaseToolbarDirectiveDescription } from "./WebBaseToolbarDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebGridToolbarExporterDescription = /*@__PURE__*/ (() => {
    class WebGridToolbarExporterDescription extends WebBaseToolbarDirectiveDescription {
        constructor() {
            super();
            this.y = false;
            this.z = false;
            this.ag = null;
            this.aa = false;
            this.af = null;
            this.ae = null;
        }
        get_type() {
            return "WebGridToolbarExporter";
        }
        get exportCSV() {
            return this.y;
        }
        set exportCSV(a) {
            this.y = a;
            this.e("ExportCSV");
        }
        get exportExcel() {
            return this.z;
        }
        set exportExcel(a) {
            this.z = a;
            this.e("ExportExcel");
        }
        get filename() {
            return this.ag;
        }
        set filename(a) {
            this.ag = a;
            this.e("Filename");
        }
        get isExporting() {
            return this.aa;
        }
        set isExporting(a) {
            this.aa = a;
            this.e("IsExporting");
        }
        get exportStartedRef() {
            return this.af;
        }
        set exportStartedRef(a) {
            this.af = a;
            this.e("ExportStartedRef");
        }
        get exportEndedRef() {
            return this.ae;
        }
        set exportEndedRef(a) {
            this.ae = a;
            this.e("ExportEndedRef");
        }
    }
    WebGridToolbarExporterDescription.$t = /*@__PURE__*/ markType(WebGridToolbarExporterDescription, 'WebGridToolbarExporterDescription', WebBaseToolbarDirectiveDescription.$);
    return WebGridToolbarExporterDescription;
})();
